# Class Resolver

java.lang.Object
org.apache.catalina.valves.rewrite.Resolver

Direct Known Subclasses:
  `ResolverImpl`

public abstract class Resolver extends Object
Resolver abstract class.

## Constructor Summary

Constructors
Constructor
Description
`Resolver()`
Default constructor.

## Method Summary

Modifier and Type
Method
Description
`abstract Charset`
`getUriCharset()`
Return the URI character set.
`abstract String`
`resolve(String key)`
Resolve a key to a string value.
`String`
`resolveEnv(String key)`
Resolve an environment variable key to a string value.
`abstract String`
`resolveHttp(String key)`
Resolve an HTTP header key to a string value.
`abstract boolean`
`resolveResource(int type, String name)`
Resolve a resource check.
`abstract String`
`resolveSsl(String key)`
Resolve an SSL variable key to a string value.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Resolver

public Resolver()
Default constructor.

## Method Details

### resolve

public abstract String resolve(String key)
Resolve a key to a string value.

Parameters:
  `key` - The key to resolve
Returns:
  The resolved string value

### resolveEnv

public String resolveEnv(String key)
Resolve an environment variable key to a string value.

Parameters:
  `key` - The key to resolve
Returns:
  The resolved string value

### resolveSsl

public abstract String resolveSsl(String key)
Resolve an SSL variable key to a string value.

Parameters:
  `key` - The key to resolve
Returns:
  The resolved string value

### resolveHttp

public abstract String resolveHttp(String key)
Resolve an HTTP header key to a string value.

Parameters:
  `key` - The key to resolve
Returns:
  The resolved string value

### resolveResource

public abstract boolean resolveResource(int type, String name)
Resolve a resource check.

Parameters:
  `type` - The type of resource check (0=directory, 1=file, 2=non-empty file)
  `name` - The resource name
Returns:
  True if the resource matches the specified type

### getUriCharset

public abstract Charset getUriCharset()
Return the URI character set.

Returns:
  The URI character set